## Run from tf_raycast:start_raycast

# Using dx for precise hitbox detection
# Parameters:
#     Edit not_mob.json in tags/entities to change which entities will not be targetted
#     Change the "positioned" offsets to change projectile size
#       - If > 1 block, just use one dx detection
execute as @e[tag=!raycasting,type=!#tf_raycast:not_mob,dx=3] if entity @s[dx=-3] run function tf_raycast7:collide2

scoreboard players add .distance tf_rc 1

# Make raycast visible
particle minecraft:soul_fire_flame ~ ~-0.2 ~ 0.4 0.25 0.4 0 4
particle minecraft:soul ~ ~-0.2 ~ 0.4 0.25 0.4 0.025 1

# Repeat the raycast if certain conditions are met
# Parameters:
#    (score after "matches") * (accuracy increment) = range
#    The "positioned" value specifies the precision
#    Edit raycast_pass.json in tags/blocks to change which blocks the raycast ignores
#    "rotated" controls arc/curve of raycast path
execute if score .distance tf_rc matches ..45 positioned ^ ^ ^0.1 rotated ~ ~ unless block ~ ~ ~ #tf_raycast2:raycast_pass run particle minecraft:soul ~ ~0.2 ~ 0.4 0.25 0.4 0.2 4
execute if score .distance tf_rc matches ..45 positioned ^ ^ ^0.1 rotated ~ ~ if block ~ ~ ~ #tf_raycast2:raycast_pass run function tf_raycast7:raycast2
