execute if entity @a[scores={defendercd=1..}] run time set midnight
execute if entity @a[scores={second=1..,defender=1..}] run time set day
scoreboard players add @a[scores={defenderstart=1..,second=0}] defendercd 1
execute if entity @a[scores={second=1..}] run function zombies:musicprepare
execute if entity @a[scores={defendercd=10..,defender=1..}] run function zombies:musicmain
execute if entity @a[scores={defendercd=1..}] run function zombies:musicstop3
execute if entity @a[scores={defendercd=1..1250}] run function zombies:defstart
execute if entity @e[tag=defuse] run function zombies:defuse
execute if score .rule rule matches 1.. run function zombies:defrulea
execute if entity @e[tag=defrevive] run function zombies:defrevivea
execute if entity @e[tag=defraged] run function zombies:defragea
scoreboard players add @e[type=vex] vextime 1
kill @e[scores={vextime=200..},type=vex]
execute as @a at @s unless entity @s[scores={specialmap=0..}] run scoreboard players set @s specialmap 0
execute if entity @a[scores={untired=1..}] run scoreboard players set @a sprint 500
execute if entity @a[scores={defendercd=12000..,defwave=1..}] run function zombies:suddendeath
title @a[scores={defendercd=12000,defwave=1..}] title {"text":"Sudden Death!","color":"#FF0000","bold":true,"italic":false}
execute at @a[scores={defendercd=12000,defwave=1..}] run playsound minecraft:entity.lightning_bolt.thunder master @a ~ ~ ~ 1 1 1
execute as @e[type=slime,tag=!defslime] at @s run data merge entity @s {AbsorptionAmount:100}
execute as @e[type=slime,tag=!defslime] at @s run tag @s add defslime
execute if entity @e[tag=defendingpigman] run function zombies:dpigman
execute if entity @e[tag=supwithermod2] run function zombies:modifierwithersup
execute if entity @a[scores={defender=1..}] run tag @e[type=iron_golem] add golem2
execute if entity @a[scores={defender=1..}] run execute as @e[type=wolf,tag=defendmob] at @s run data modify entity @s Owner set from entity @p UUID
execute if entity @a[scores={defender=1..}] run execute as @e[tag=!setted,type=!#diamonds:not_mob,tag=!defendmob,team=!defender,tag=!defnat,type=!player,tag=!mobshow1,tag=!mobshow2,tag=!mobshow3,tag=!mobshow4,tag=!mobshow5,tag=!mobshow6,type=!iron_golem,team=!defending] at @s run data merge entity @s {AbsorptionAmount:20}
execute if entity @a[scores={defender=1..}] run execute as @e[type=iron_golem,team=!defender,tag=!defnat] at @s run data merge entity @s {AbsorptionAmount:100}
execute if entity @a[scores={defender=1..}] run execute as @e[type=!#diamonds:not_mob,tag=!defendmob,team=!defender,tag=!defnat,type=!player,tag=!mobshow1,tag=!mobshow2,tag=!mobshow3,tag=!mobshow4,tag=!mobshow5,tag=!mobshow6] at @s run tag @s add defnat
execute if entity @a[scores={defender=1..}] run fill ~ ~ ~ ~ ~ ~ air replace nether_portal
execute if entity @e[tag=shielder] run function zombies:defshielder
execute if entity @a[scores={defendercd=1,defwave=1..}] run title @a times 20 40 20
execute at @p run execute as @e[type=zombified_piglin,distance=..100,tag=!defendingpigman] at @s run data modify entity @s AngryAt set from entity @p UUID
execute if entity @a[scores={defendercd=1,defwave=1..}] run title @a title {"text":"Defend!","color":"#FF0000","bold":true,"italic":false}
execute if entity @a[scores={defendercd=1,defwave=1..}] run playsound minecraft:entity.lightning_bolt.thunder master @a ~ ~ ~ 1 0.9 1
execute if entity @a[scores={defendercd=1200..}] unless entity @e[team=defender] run function zombies:defwavecompleted
execute as @a[nbt={Inventory:[{id:"minecraft:armor_stand"}]},scores={defender=1..}] at @s run function zombies:defarmor
execute if entity @a[scores={defender=1..}] run fill -14 24 353 -14 34 363 air destroy
execute if entity @a[scores={defender=1..}] run fill -35 24 384 -45 34 384 air destroy
execute if entity @a[scores={defender=1..}] run fill -66 24 363 -66 34 353 air destroy
execute if entity @a[scores={defender=1..}] run fill -45 24 332 -35 34 332 air destroy
scoreboard players add @e[type=item] item 1
kill @e[type=item,scores={item=601..}]
execute if entity @e[tag=fireaspect1] run function zombies:fireaspect1
execute if entity @e[tag=fireaspect2] run function zombies:fireaspect2
execute if entity @e[tag=fireaspect3] run function zombies:fireaspect3
execute if entity @a[scores={defender=1..}] if entity @e[team=defender] run bossbar set minecraft:enemy visible true
execute if entity @a[scores={defender=1..}] run execute as @e[team=!mobshow,type=!#diamonds:not_mob,type=!player,tag=!getmaxhealth] at @s run execute store result score @s healthmax run data get entity @s AbsorptionAmount
execute if entity @a[scores={defender=1..}] run execute as @e[team=!mobshow,type=!#diamonds:not_mob,type=!player,tag=!getmaxhealth] at @s run tag @s add getmaxhealth
execute if entity @a[scores={defender=1..}] unless entity @e[team=defender] run bossbar set minecraft:enemy visible false
execute if entity @a[scores={defender=1..}] run bossbar set minecraft:enemy value 10000
execute if entity @a[scores={defender=1..}] run execute as @e[tag=!repair,type=item,nbt={OnGround:1b}] at @s run execute as @e[type=minecraft:item,sort=nearest,limit=1] at @s run execute store result score @s itemdamage run data get entity @s Item.tag.Damage
execute if entity @a[scores={defender=1..}] run execute as @e[tag=!repair,type=item,nbt={OnGround:1b},scores={itemdamage=1..}] at @s if entity @e[type=item,nbt={Item:{tag:{repair:1}}},distance=..1] run function zombies:repair
execute if entity @a[scores={defender=1..}] run execute if entity @e[tag=!reforge,type=item,nbt={OnGround:1b}] run function zombies:reforge1
execute if entity @a[scores={defender=1..}] run tag @e[tag=!reforge,type=item,nbt={OnGround:1b}] add reforge
execute if entity @a[scores={defender=1..}] run execute if entity @e[tag=!enchant,type=item,nbt={OnGround:1b}] run function zombies:enchant
execute if entity @a[scores={defender=1..}] run tag @e[tag=!enchant,type=item,nbt={OnGround:1b}] add enchant
